# See https://onion.debian.org for info on the repo addresses used here
#
# Broadly, the 2s4[...].onion address is the equivalent of ftp.debian.org (main repo),
# and the 5aj[...].onion address is the equivalent of security.debian.org (security
# updates, speedy).
#
# Sources in sources.list are generally listed in order of preference, as if multiple
# sources provide the same version of a package, the first listed source will 'win'.
# I don't think it matters much here since all of these repos are onion sources hosted
# on the Debian Project's own architecture, but I list the regular sources before the
# security.debian.org equivalent source, as tends to be the most common structure I've
# seen online, and matches the structure used by the examples at the bottom of Debian's
# instructions on onion.debian.org.
#
deb tor+https://mirror.mythic-beasts.com/debian {{ ansible_distribution_release | lower }} main contrib non-free-firmware
deb tor+https://mirror.mythic-beasts.com/debian {{ ansible_distribution_release | lower }}-updates main contrib non-free-firmware
deb tor+https://security.debian.org/debian-security {{ ansible_distribution_release | lower }}-security main contrib non-free-firmware
